$borders-data: (
  base: border-width() solid var(--p-border-subdued),
  tabs: border-width() solid #ececec,
  dark: border-width() solid var(--p-border),
  transparent: border-width() solid transparent,
  divider: border-width() solid var(--p-divider),
);

/// Returns the default border.
/// @param {String} $variant [base] - The border variant key.
/// @return {List} The border value.

@function border($variant: base) {
  $fetched-value: map-get($borders-data, $variant);

  @if $fetched-value {
    @return $fetched-value;
  } @else {
    @error 'Border variant `#{$variant}` not found. Available variants: #{available-names($borders-data)}';
  }
}
